=== debian/changelog ===
asterisk-phonepatch (0.3.1) unstable; urgency=low

  * New parameter (soundcard latency) in configuration
  * New english audio files (thanks Leighton!)

 -- Arnau Sanchez <arnau@ehas.org>  Thu,  6 Jul 2006 14:50:02 +0200

asterisk-phonepatch (0.3) unstable; urgency=low

  * Serial/Parallel lines configurable (radio_control)
  * DTMF module supports buggy 24.2 numeric module
  * Pidfile to /var/run/asterisk
  * Phonepatch runs now as asterisk user (not root)

 -- Arnau Sanchez <arnau@ehas.org>  Tue,  4 Jul 2006 12:50:32 +0200

asterisk-phonepatch (0.2.2) unstable; urgency=low

  * Daemon runs as user asterisk
  * Radiocontrol: lines (ptt, carrier, power) configurable

 -- root <arnau@ehas.org>  Sat,  1 Jul 2006 18:16:16 +0200

asterisk-phonepatch (0.2.1) unstable; urgency=low

  * Radiocontrol adds lib path
  * Outcall spool file now owned by Asterisk (not root)

 -- Arnau Sanchez <arnau@ehas.org>  Thu, 29 Jun 2006 20:05:40 +0200

asterisk-phonepatch (0.2) unstable; urgency=low

  * Removed python-alsaaudio dependency (only OSS is used).
  * Radiocontrol installed on /usr/bin.
  * Some corrections on phonepatch.conf manual page.

 -- Arnau Sanchez <arnau@ehas.org>  Tue, 27 Jun 2006 19:14:56 +0200
