## asterisk-phonepatch 0.3.3

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 DOCDIR=$(DESTDIR)/usr/share/doc/$(PACKAGE)
 SHAREDIR=$(DESTDIR)/usr/share/$(PACKAGE)
 ETCDIR=$(DESTDIR)/etc
-ETCPHPDIR=$(DESTDIR)/etc/asterisk-phonepatch
+ETCPHPDIR=$(DESTDIR)/etc/asterisk
 AGIASTERISKDIR=$(DESTDIR)/usr/share/asterisk/agi-bin
 LIBDIR=$(DESTDIR)/usr/lib/$(PACKAGE)
 SOUNDSDIR=$(DESTDIR)/usr/share/asterisk-phonepatch/sounds
@@ -34,7 +34,7 @@
 CREATE_DIRS=$(LIBDIR) $(SHAREDIR) $(SOUNDSDIR) $(DOCDIR) $(ETCPHPDIR)
 MANCONF=man/phonepatch.conf.8
 
-all: conf/phonepatch.conf.example man/phonepatch.conf.8 docs
+all: man/phonepatch.conf.8 docs
 
 docs: doc/asterisk-phonepatch.xml
 	$(MAKE) -C doc >/dev/null
@@ -44,9 +44,6 @@
 	python src/templateparser.py conf/phonepatch.conf.template | ./template2man.py >> $(MANCONF)
 	cat $(MANCONF)-2 >> $(MANCONF)
 	
-conf/phonepatch.conf.example: conf/phonepatch.conf.template src/templateparser.py
-	python src/templateparser.py --generate conf/phonepatch.conf.template > conf/phonepatch.conf.example
-
 install: all
 	# Create dirs
 	mkdir -p $(CREATE_DIRS)
@@ -66,12 +63,11 @@
 	install -m 644 conf/phonepatch.conf.template $(SHAREDIR)
 	install -m 644 conf/phonepatch.conf.example $(DOCDIR)
 	install -m 644 conf/phonepatch.conf.example $(ETCPHPDIR)/phonepatch.conf	
-	install -m 644 conf/asterisk-phonepatch.conf $(ETCDIR)
-	
 	# Python modules
 	install -m 755 src/radio.py $(LIBDIR)
 	install -m 755 src/radiocontrol.py $(LIBDIR)
 	install -m 755 src/dtmf.py $(LIBDIR)
+	install -m 755 src/ctcss.py $(LIBDIR)
 	install -m 755 src/soundcard.py $(LIBDIR)
 	install -m 755 src/daemonize.py $(LIBDIR)
 	install -m 755 src/templateparser.py $(LIBDIR)
@@ -96,7 +92,7 @@
 	cp -a doc/asterisk-phonepatch.html $(DOCDIR)/html
 		
 clean:
-	rm -f *.pyc conf/phonepatch.conf.example man/phonepatch.conf.8
+	rm -f *.pyc man/phonepatch.conf.8
 	$(MAKE) -C doc clean >/dev/null
 
 dist: distclean dist dist-deb
