=== debian/changelog ===
asterisk-phonepatch (0.3.3) unstable; urgency=low

  * new unique conffile (/etc/asterisk/phonepatch.conf)
  * sections: general, phonepatch and user extensions
  * CTCSS decoding
  * New DTMF decoding (faster and more accurate)
  * incall/outcall can be enabled/disabled for each extensions
  * empty_asterisk() and flush_asterisk() to assure low latency

 -- Arnau Sanchez <arnau@ehas.org>  Tue, 18 Jul 2006 23:55:11 +0200

asterisk-phonepatch (0.3.2) unstable; urgency=low

  * carrier_detection: new mode "audio" (VOX processing for received audio)
  * phonepatch extensions must be defined in phonepatch.conf (with its name)
  * extensions.conf: automatically detected incall/outcall
  * new parameter: extension_tail_length

 -- Arnau Sanchez <arnau@ehas.org>  Sun,  9 Jul 2006 17:16:11 +0200
