## asterisk-phonepatch 0.3.4

=== Makefile ===
--- 
+++ 
@@ -90,7 +90,10 @@
 	# Install documentation
 	install -m 644 doc/asterisk-phonepatch.pdf $(DOCDIR)
 	cp -a doc/asterisk-phonepatch.html $(DOCDIR)/html
-		
+	
+conf/phonepatch.conf.example: conf/phonepatch.conf.template
+	src/templateparser.py -g conf/phonepatch.conf.template > conf/phonepatch.conf.example	
+
 clean:
 	rm -f *.pyc man/phonepatch.conf.8
 	$(MAKE) -C doc clean >/dev/null
