=== debian/changelog ===
asterisk-phonepatch (0.3.4) unstable; urgency=low

  * CTCSS auto outgoing call
  * New parameters: ctcss_tx, ctcss_tx_amplitude, ctcss_rx
  * New parameters: outcall_askfortone_mode (dtmf, ctcss or both)

 -- Arnau Sanchez <arnau@ehas.org>  Thu, 27 Jul 2006 11:07:18 +0200
