## asterisk-phonepatch 0.4

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 SHAREDIR=$(DESTDIR)/usr/share/$(PACKAGE)
 ETCDIR=$(DESTDIR)/etc
 ETCPHPDIR=$(DESTDIR)/etc/asterisk
-AGIASTERISKDIR=$(DESTDIR)/usr/share/asterisk/agi-bin
+AGIASTERISKDIR=$(DESTDIR)/var/lib/asterisk/agi-bin
 LIBDIR=$(DESTDIR)/usr/lib/$(PACKAGE)
 SOUNDSDIR=$(DESTDIR)/usr/share/asterisk-phonepatch/sounds
 
@@ -34,11 +34,8 @@
 CREATE_DIRS=$(LIBDIR) $(SHAREDIR) $(SOUNDSDIR) $(DOCDIR) $(ETCPHPDIR)
 MANCONF=man/phonepatch.conf.8
 
-all: man/phonepatch.conf.8 docs
+all: man/phonepatch.conf.8 
 
-docs: doc/asterisk-phonepatch.xml
-	$(MAKE) -C doc >/dev/null
-	
 $(MANCONF): template2man.py $(MANCONF)-1 $(MANCONF)-2 conf/phonepatch.conf.template
 	cat $(MANCONF)-1 > $(MANCONF)
 	python src/templateparser.py conf/phonepatch.conf.template | ./template2man.py >> $(MANCONF)
@@ -52,7 +49,7 @@
 	install -m 755 src/phonepatch.py $(SBINDIR)/asterisk-phonepatch
 
 	# AGI script: link to $(SBINDIR)/phonepatch
-	ln -sf ../../../sbin/asterisk-phonepatch $(AGIASTERISKDIR)/phonepatch.agi
+	ln -sf ../../../../usr/sbin/asterisk-phonepatch $(AGIASTERISKDIR)/phonepatch.agi
 
 	# Manpage
 	install -m 644 man/asterisk-phonepatch.8 $(MAN8DIR)
@@ -87,16 +84,11 @@
 		cp sounds/$$DIR/* $(SOUNDSDIR)/$$DIR || true;\
 	done
 	
-	# Install documentation
-	install -m 644 doc/asterisk-phonepatch.pdf $(DOCDIR)
-	cp -a doc/asterisk-phonepatch.html $(DOCDIR)/html
-	
 conf/phonepatch.conf.example: conf/phonepatch.conf.template
 	src/templateparser.py -g conf/phonepatch.conf.template > conf/phonepatch.conf.example	
 
 clean:
 	rm -f *.pyc man/phonepatch.conf.8
-	$(MAKE) -C doc clean >/dev/null
 
 dist: distclean dist dist-deb
