=== debian/changelog ===
asterisk-phonepatch (0.4) unstable; urgency=low

  * New parameter: ctcss_decoder_mintime.
  * If phonepatch section not found, default to the first one.
  * Corrected a bug when using with Zap extensions.

 -- Arnau Sanchez <arnau@ehas.org>  Fri,  4 Aug 2006 13:51:26 +0200
