## asterisk-phonepatch 0.5

=== debian/changelog ===
asterisk-phonepatch (0.5) unstable; urgency=low

  * Limit radio output power
  * Change in outcall_extension parameter (use %u)
  * Adjustements in DTMF decoding parameters

 -- Arnau Sanchez <arnau@ehas.org>  Mon, 30 Oct 2006 20:15:37 -0500

asterisk-phonepatch (0.42) unstable; urgency=low

  * CTCSS decoding unset before outcall loop
  * Fixed help line in parameter incall_answer_mode: %d -> %u 

 -- Arnau Sanchez <arnau@ehas.org>  Fri, 11 Aug 2006 20:26:33 +0200

asterisk-phonepatch (0.41) unstable; urgency=low

  * CTCSS decoder can be disabled: ctcss_decode_mintime=0
  * Fixed: phonepatch.conf.example

 -- Arnau Sanchez <arnau@ehas.org>  Thu, 10 Aug 2006 16:12:04 +0200
