=== debian/changelog ===
asterisk-phonepatch (0.6) unstable; urgency=low

  * New architecture: phonepatch daemon always active, AGI separated
  * Uses OSS getobuffer() to sync sound card output

 -- root <arnau@ehas.org>  Tue, 14 Nov 2006 15:19:48 -0500
