## asterisk-phonepatch 0.41

=== Makefile ===
--- 
+++ 
@@ -48,8 +48,8 @@
 	# Main executable
 	install -m 755 src/phonepatch.py $(SBINDIR)/asterisk-phonepatch
 
-	# AGI script
-	install -m 755 src/agi.py $(AGIASTERISKDIR)/phonepatch.agi
+	# AGI script: link to $(SBINDIR)/phonepatch
+	ln -sf ../../../../usr/sbin/asterisk-phonepatch $(AGIASTERISKDIR)/phonepatch.agi
 
 	# Manpage
 	install -m 644 man/asterisk-phonepatch.8 $(MAN8DIR)
@@ -69,7 +69,6 @@
 	install -m 755 src/daemonize.py $(LIBDIR)
 	install -m 755 src/templateparser.py $(LIBDIR)
 	install -m 755 src/processcomm.py $(LIBDIR)
-	install -m 755 src/unixsocket.py $(LIBDIR)
 
 	# Radio control utility
 	ln -sf ../lib/asterisk-phonepatch/radiocontrol.py $(BINDIR)/radiocontrol
@@ -96,6 +95,7 @@
 dist: ../$(TARBALL)
 
 dist-deb:  ../$(DEBPACKAGE)
+
 ChangeLog: debian/changelog
 	cat $(DEBIANDIR)/changelog | sed "s/^\(xhotkeys (.*)\).*$$/\1/" | sed "s/[[:space:]]*//" > ChangeLog
 
@@ -107,7 +107,7 @@
 	TEMP=`mktemp -d` && \
 	cp ../$(TARBALL) $$TEMP && \
 	tar -C $$TEMP -xvzf ../$(TARBALL) && \
-	(cd $$TEMP/$(PACKAGE); fakeroot dpkg-buildpackage || true) && \
+	(cd $$TEMP/$(PACKAGE); fakeroot dpkg-buildpackage) && \
 	cp $$TEMP/$(DEBHEADER)* $$CURRENT/.. && \
 	rm -rf $$TEMP
