## asterisk-phonepatch 0.61

=== doc/Makefile ===
#$Id: Makefile,v 1.5 2006/06/15 13:19:56 arnau Exp $

# Este Makefile es para uso con Jade y hojas de estilo dsssl
# Debe valer para varios documentos

# Aqu se pone la lista de documentos a generar (sin extensin)
NAME=asterisk-phonepatch

DOCUMENTOS=$(NAME)

IMG= img/hardware-phonepatch.png \
img/ptt_par.png \
img/ptt_ser.png \
img/sc-radio.png \
img/software-phonepatch.png \
img/network.png \
img/carrier_ser.png \
img/carrier_par.png

# Hojas de estilo DSSSL
PRINTDSL=print.dsl
HTMLDSL=html.dsl
# Hoja de estilo css para el HTML
CSS=ehas.css
#CSS=docbook-css-0.4/driver.css
JADE=jade # Puede ser openjade

# Se necesita para que las herramientas sgml acepten xml
# No s la forma de no dar una ruta absoluta a xml.dcl
SGMXML=/usr/share/sgml/declaration/xml.dcl 

# Transformaciones
JADETOTEX= $(JADE) -t tex -d $(PRINTDSL) $(SGMXML)
JADETORTF= $(JADE) -t rtf -d $(PRINTDSL) $(SGMXML)
JADETOHTML=$(JADE) -t xml -d $(HTMLDSL)  $(SGMXML)

# Algunas sustituciones para trabajar con comodidad
PS=$(patsubst %,%.ps,$(DOCUMENTOS))
TXT=$(patsubst %,%.txt,$(DOCUMENTOS))
PDF=$(patsubst %,%.pdf,$(DOCUMENTOS))
DVI=$(patsubst %,%.dvi,$(DOCUMENTOS))
RTF=$(patsubst %,%.rtf,$(DOCUMENTOS))
HTML=$(patsubst %,%.html,$(DOCUMENTOS))
TEX=$(patsubst %,%.tex,$(DOCUMENTOS))
AUX=$(patsubst %,%.aux,$(DOCUMENTOS))
LOG=$(patsubst %,%.log,$(DOCUMENTOS))
TOC=$(patsubst %,%.toc,$(DOCUMENTOS))
OUT=$(patsubst %,%.out,$(DOCUMENTOS))
IDX=$(patsubst %,%.idx,$(DOCUMENTOS))
GLO=$(patsubst %,%.glo,$(DOCUMENTOS))

TODO=$(PDF) $(HTML) $(RTF)

#------------------------------

todo:$(TODO)

# Dependencias de hojas de estilo
$(TEX): $(PRINTDSL)
$(HTML): $(HTMLDSL)
$(RTF): $(PRINTDSL)

# Dependencias de partes
$(NAME).pdf:    $(IMG)
$(NAME).rtf:    $(IMG)

# Reglas implcitas

%.tex: %.xml
	$(JADETOTEX) $<

%.rtf: %.xml
	$(JADETORTF) $<

%.pdf: %.tex
	-pdfjadetex $<
	-pdfjadetex $<
	-pdfjadetex $<

%.html:  %.xml
	rm -rf $@
	mkdir  $@
	if [ "$(IMG)" ]; then cp --parents -l $(IMG) $@ ; fi
	ln $(CSS) $@
	ln $(HTMLDSL) $@
	ln *.xml $@
	-(cd $@; $(JADETOHTML) $<; rm *.xml *.dsl)

%.dvi: %.tex
	-jadetex $<
	-jadetex $<
	-jadetex $<		

mostlyclean: 
	-rm -f $(TEX)\
               $(DVI)\
               $(AUX)\
               $(LOG)\
               $(TOC)\
               $(OUT)\
               $(IDX)\
               $(GLO)\
               *~\
               texput.log

clean: mostlyclean
	-rm -f $(PS) \
               $(TXT) \
               $(PDF) \
               $(RTF) 
	-rm -rf $(HTML)
