=== debian/changelog ===
asterisk-phonepatch (0.61) unstable; urgency=low

  * Added daily_use.sh script 
  * Created spool directory (/var/spool/asterisk/phonepatch)

 -- Arnau Sanchez <arnau@ehas.org>  Wed, 22 Nov 2006 13:42:29 -0500
