=== debian/control ===
Source: asterisk-phonepatch
Section: comm
Priority: optional
Maintainer: Arnau Sanchez <arnau@ehas.org>
Build-Depends: debhelper (>= 4.0.0), jade, jadetex
Standards-Version: 3.6.1

Package: asterisk-phonepatch
Architecture: all
Depends: python (>= 2.3), asterisk, sox, festival, python-serial, python-parallel, python-numarray, python-numeric-ext
Description: Software radio-phonepatch for the Asterisk PBX
 Although the term "phonepatch" usually refers to the hardware
 device used to connect a radio transceiver and a phoneline,
 asterisk-phonepatch is esentially software, as only needs a 
 simple hardware interface between radio and computer (to send/
 receive audio, control PTT and, optionally, get carrier status).
 .
 Audio interface is made using the soundcard as A/D, D/A converter, 
 while PTT (Push-to-talk) and carrier detection are operated
 though a serial/parallel port.
