## asterisk-phonepatch 0.62

=== debian/changelog ===
asterisk-phonepatch (0.62) unstable; urgency=low

  * New audios
  * daily_use script logs to syslog

 -- Arnau Sanchez <arnau@ehas.org>  Sat, 25 Nov 2006 18:01:56 -0500
