## asterisk-phonepatch 0.63

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 ETCDIR=$(DESTDIR)/etc
 ETCPHPDIR=$(DESTDIR)/etc/asterisk
 AGIASTERISKDIR=$(DESTDIR)/var/lib/asterisk/agi-bin
+SPOOLDIR=$(DESTDIR)/var/spool/asterisk/phonepatch
 LIBDIR=$(DESTDIR)/usr/lib/$(PACKAGE)
 SOUNDSDIR=$(DESTDIR)/usr/share/asterisk-phonepatch/sounds
 
@@ -31,7 +32,7 @@
 FTPSERVER=ftp://savannah.gnu.org/incoming/savannah/$(SAVANNAH_PACKAGE)/
 
 # Some directories that will not exist on first installation
-CREATE_DIRS=$(LIBDIR) $(SHAREDIR) $(SOUNDSDIR) $(DOCDIR) $(ETCPHPDIR)
+CREATE_DIRS=$(LIBDIR) $(SHAREDIR) $(SOUNDSDIR) $(DOCDIR) $(ETCPHPDIR) $(SPOOLDIR)
 MANCONF=man/phonepatch.conf.8
 
 all: man/phonepatch.conf.8 
@@ -43,13 +44,13 @@
 	
 install: all
 	# Create dirs
-	mkdir -p $(CREATE_DIRS)
+	install -d -o asterisk -g asterisk $(CREATE_DIRS)
 
 	# Main executable
 	install -m 755 src/phonepatch.py $(SBINDIR)/asterisk-phonepatch
 
-	# AGI script: link to $(SBINDIR)/phonepatch
-	ln -sf ../../../../usr/sbin/asterisk-phonepatch $(AGIASTERISKDIR)/phonepatch.agi
+	# AGI script
+	install -m 755 src/agi.py $(AGIASTERISKDIR)/phonepatch.agi
 
 	# Manpage
 	install -m 644 man/asterisk-phonepatch.8 $(MAN8DIR)
@@ -60,6 +61,7 @@
 	install -m 644 conf/phonepatch.conf.template $(SHAREDIR)
 	install -m 644 conf/phonepatch.conf.example $(DOCDIR)
 	install -m 644 conf/phonepatch.conf.example $(ETCPHPDIR)/phonepatch.conf	
+	
 	# Python modules
 	install -m 755 src/radio.py $(LIBDIR)
 	install -m 755 src/radiocontrol.py $(LIBDIR)
@@ -69,6 +71,10 @@
 	install -m 755 src/daemonize.py $(LIBDIR)
 	install -m 755 src/templateparser.py $(LIBDIR)
 	install -m 755 src/processcomm.py $(LIBDIR)
+	install -m 755 src/unixsocket.py $(LIBDIR)
+	
+	# Misc scripts
+	install -m 755 misc/daily_use.sh $(LIBDIR)
 
 	# Radio control utility
 	ln -sf ../lib/asterisk-phonepatch/radiocontrol.py $(BINDIR)/radiocontrol
@@ -95,7 +101,6 @@
 dist: ../$(TARBALL)
 
 dist-deb:  ../$(DEBPACKAGE)
-
 ChangeLog: debian/changelog
 	cat $(DEBIANDIR)/changelog | sed "s/^\(xhotkeys (.*)\).*$$/\1/" | sed "s/[[:space:]]*//" > ChangeLog
 
@@ -107,7 +112,7 @@
 	TEMP=`mktemp -d` && \
 	cp ../$(TARBALL) $$TEMP && \
 	tar -C $$TEMP -xvzf ../$(TARBALL) && \
-	(cd $$TEMP/$(PACKAGE); fakeroot dpkg-buildpackage) && \
+	(cd $$TEMP/$(PACKAGE); fakeroot dpkg-buildpackage || true) && \
 	cp $$TEMP/$(DEBHEADER)* $$CURRENT/.. && \
 	rm -rf $$TEMP
