=== debian/changelog ===
asterisk-phonepatch (0.63) unstable; urgency=low

  * Festival language disabled

 -- Arnau Sanchez <arnau@ehas.org>  Mon, 11 Dec 2006 16:03:29 -0500
