## asterisk-phonepatch 0.65

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 ETCDIR=$(DESTDIR)/etc
 ETCPHPDIR=$(DESTDIR)/etc/asterisk
 AGIASTERISKDIR=$(DESTDIR)/var/lib/asterisk/agi-bin
+AGIASTERISKDIR2=$(DESTDIR)/usr/share/asterisk/agi-bin
 SPOOLDIR=$(DESTDIR)/var/spool/asterisk/phonepatch
 LIBDIR=$(DESTDIR)/usr/lib/$(PACKAGE)
 SOUNDSDIR=$(DESTDIR)/usr/share/asterisk-phonepatch/sounds
@@ -51,6 +52,7 @@
 
 	# AGI script
 	install -m 755 src/agi.py $(AGIASTERISKDIR)/phonepatch.agi
+	ln -s ../../../../var/lib/asterisk/agi-bin/phonepatch.agi $(AGIASTERISKDIR2)
 
 	# Manpage
 	install -m 644 man/asterisk-phonepatch.8 $(MAN8DIR)
@@ -96,16 +98,13 @@
 clean:
 	rm -f *.pyc man/phonepatch.conf.8
 
-dist: distclean dist dist-deb
+dist: distclean ../$(TARBALL)
 
-dist: ../$(TARBALL)
-
-dist-deb:  ../$(DEBPACKAGE)
 ChangeLog: debian/changelog
 	cat $(DEBIANDIR)/changelog | sed "s/^\(xhotkeys (.*)\).*$$/\1/" | sed "s/[[:space:]]*//" > ChangeLog
 
 ../$(TARBALL): clean $(FILES) ChangeLog
-	(cd ..; tar --exclude=CVS --exclude=misc --exclude=webpage -czf $(TARBALL) $(PACKAGE))
+	(cd ..; tar --exclude=CVS --exclude=webpage -czf $(TARBALL) $(PACKAGE))
 
 ../$(DEBPACKAGE): ../$(TARBALL)
 	CURRENT=$$PWD && \
