=== debian/changelog ===
asterisk-phonepatch (0.65) unstable; urgency=low

  * Correction in extension id for incalls

 -- Arnau Sanchez <arnau@ehas.org>  Wed,  4 Apr 2007 12:26:57 -0500

asterisk-phonepatch (0.64) unstable; urgency=low

  * Festival language re-enabled
  * Correction in audio cache

 -- Arnau Sanchez <arnau@ehas.org>  Tue,  3 Apr 2007 19:16:17 -0500
